%define versio_ 2-8-8
%define pre     dev.15

Name:           lynx
Version:        2.8.8
Release:        %mkrel 1.%{pre}
Summary:        Text based browser for the world wide web
License:        GPLv2
URL:            http://lynx.isc.org
Group:          Networking/WWW
BuildRequires:  gettext
BuildRequires:  openssl-devel
BuildRequires:  ncurses-devel
Source0:        http://lynx.isc.org/current/lynx%{version}%{pre}.tar.bz2
Patch0:         lynx2-8-7-adapt-to-modern-file-localizations.patch
Patch1:         lynx2-8-8-default-config.patch
Patch2:         lynx2-8-6-fix-ugly-color.patch
Patch3:         lynx2-8-7-tmp_dir.patch
Patch4:         lynx2-8-6-don-t-accept-command-line-args-to-telnet.patch

BuildRequires:  openssl-devel
BuildRequires:  zlib-devel
BuildRequires:  libncursesw-devel
Provides:       webclient = %{version}-%{release}
Provides:       lynx-ssl = %{version}-%{release}
Obsoletes:      lynx-ssl < %{version}-%{release}

%description
This a terminal based WWW browser. While it does not make any attempt
at displaying graphics, it has good support for HTML text formatting,
forms, and tables.

This version includes support for SSL encryption.

WARNING: In some countries, it is illegal to export this package. In some
countries, it may even be illegal to use it.


%prep
%setup  -q -n %{name}%{versio_}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

perl -pi -e 's,^#LOCALE_CHARSET:.*,LOCALE_CHARSET:TRUE,' lynx.cfg

%build

debian_options=`cat << DEBIAN
        --enable-warnings
        --enable-8bit-toupper
        --enable-externs
        --enable-cgi-links
        --enable-persistent-cookies --enable-nls
        --enable-prettysrc --enable-source-cache
        --enable-charset-choice
        --enable-default-colors
        --enable-ipv6
        --enable-nested-tables --enable-read-eta
        --with-zlib
DEBIAN`
# removed --enable-exec-links --enable-exec-scripts,
# it goes together with LOCAL_EXECUTION_LINKS_* in lynx.cfg


redhat_options=`cat << REDHAT
        --with-screen=ncursesw 
        --enable-internal-links
        --enable-libjs
        --enable-scrollbar
        --enable-file-upload
        --enable-locale-charset
        --with-ssl
        --enable-addrlist-page
        --enable-justify-elts
REDHAT`

other_options=`cat << OTHER
        --enable-color-style
        --enable-nsl-fork
OTHER`

# (cf INSTALLATION file for more about the options)
# --with-included-gettext  is the default
# --enable-kbd-layout not useful enough
# --enable-cjk not needed for CJK and may go away in a future release
%configure2_5x --libdir=/usr/share/lynx $debian_options $redhat_options $other_options
%make

%install
rm -rf %{buildroot}
%makeinstall_std install-help

install -d %{buildroot}%{_sysconfdir}
cat > %{buildroot}%{_sysconfdir}/lynx-site.cfg <<EOF
# Place any local lynx configuration options (proxies etc.) here.
EOF

%find_lang lynx

%files -f lynx.lang
%doc README
%config(noreplace,missingok) %{_sysconfdir}/lynx-site.cfg
%config(noreplace) %{_sysconfdir}/lynx.cfg
%config(noreplace) %{_sysconfdir}/lynx.lss
%{_mandir}/*/*
%{_bindir}/*
%{_datadir}/lynx_help





%changelog

* Fri Nov 30 2012 luigiwalser <luigiwalser> 2.8.8-1.dev.15.mga3
+ Revision: 323504
- 2.8.8dev.15 (fixes CVE-2012-5821)

* Tue Oct 09 2012 barjac <barjac> 2.8.8-1.dev.14.mga3
+ Revision: 303942
- add 2_5x to configure
- new tarball dev.14
- re-enumerate patches for clarity
- use correct default config patch
- New version 2.8.8
- Fixes bug #7399
- Thanks to Joseph Wang for work on patches
- Spec cleaned

* Sat Jan 08 2011 blino <blino> 2.8.7-4.mga1
+ Revision: 634
- adapt to Mageia
- remove old config migration
- imported package lynx

